Bug 57590 - iptables update configures service off at all runlevels, affecting next boot
iptables update configures service off at all runlevels, affecting next boot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-16 22:26 EST by Christopher Johnson
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 09:21:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Johnson 2001-12-16 22:27:00 EST
Description of Problem:
Updating iptables with the iptables-1.2.4-0.71.2.i386.rpm configures
iptables service off at all runlevels.

Version-Release number of selected component (if applicable):
1.2.4-0.71.2

How Reproducible:
100%

Steps to Reproduce:
1.chkconfig --list iptables [shows on at runlevels 345]
2.rpm -Fvh iptables-1.2.4-0.71.2.i386.rpm 
3.chkconfig --list iptables [shows off at all runlevels] 

Actual Results:
The iptables rules in effect remain in effect until the next boot, when
iptables quietly ceases to protect the system.

This causes a significant security exposure to be quietly introduced into
systems relying on iptables.

Expected Results:
Updating iptables should leave the iptables service configured on at all
runlevels which it was previously on.

Additional Information:
I have not tested the iptables updates for other RH versions 6.x or 7.2 but
someone should.

Note You need to log in before you can comment on or make changes to this bug.